<?php
namespace Wpcafe_Multivendor\Core;

defined( "ABSPATH" ) || exit;

/**
 * Load all admin class
 */
class Core {

    use \WpCafe\Traits\Wpc_Singleton;

    /**
     *  Call admin function
     */
    function init() {
        //register all menu
        \Wpcafe_Multivendor\Core\Settings\Key_Options::instance()->init();

        // Settings field 
        $settings_field = \Wpcafe_Multivendor\Core\Base\Settings_Field::instance();
        $this->dispatch_actions( $settings_field );
    }

    /**
     * Save settings
     */
    public function dispatch_actions( $settings_field ) {
        add_action( 'wp_ajax_dokan_settings', [ $settings_field , 'form_handler' ] , 5  );
    }
    
    /**
     *  Call frontend init function
     */
    public function frontend_action_init() {
        // Food location hooks
        \Wpcafe_Multivendor\Core\Modules\Food_Menu\Food_Location::instance()->init();

    }
}
